Start IntelliJ with new Java 6 DP8 from Apple?

Does anyone know how to use the new Java 6 jvm (java 6 dp8) from Apple to start IntelliJ in MacOS Leopard?

I tried to just install the jvm and then change the /Applications/IntelliJ IDEA 7.0.2.app/Contents/Info.plist entry to 1.6+, but no luck.

The system.log says:

Dec 19 16:51:28 ertjb01 .com.jetbrains.intellij[871]: _NSJVMLoadLibrary: NSAddLibrary failed for /System/Library/Frameworks/JavaVM.framework/Versions/1.6.0/Libraries/libjvm.dylib
Dec 19 16:51:28 ertjb01 .com.jetbrains.intellij[871]: _NSJVMLoadLibrary: NSAddLibrary failed for /System/Library/Frameworks/JavaVM.framework/Versions/CurrentJDK/Libraries/libjvm.dylib
Dec 19 16:51:28 ertjb01 .com.jetbrains.intellij[871]: JavaVM FATAL: Failed to load the jvm library.
Dec 19 16:51:28 ertjb01 .com.jetbrains.intellij[871]: JNI_CreateJavaVM() failed, error: -1


/ET

7 comments
Comment actions Permalink

As mentioned in to the Java6dp8 release notes - use 1.6*

Runs fine for me so far...

Erik Tjernlund wrote:

Does anyone know how to use the new Java 6 jvm (java 6 dp8) from Apple to start IntelliJ in MacOS Leopard?

I tried to just install the jvm and then change the /Applications/IntelliJ IDEA 7.0.2.app/Contents/Info.plist entry to 1.6+, but no luck.

The system.log says:

Dec 19 16:51:28 ertjb01 .com.jetbrains.intellij[871]: _NSJVMLoadLibrary: NSAddLibrary failed for /System/Library/Frameworks/JavaVM.framework/Versions/1.6.0/Libraries/libjvm.dylib
Dec 19 16:51:28 ertjb01 .com.jetbrains.intellij[871]: _NSJVMLoadLibrary: NSAddLibrary failed for /System/Library/Frameworks/JavaVM.framework/Versions/CurrentJDK/Libraries/libjvm.dylib
Dec 19 16:51:28 ertjb01 .com.jetbrains.intellij[871]: JavaVM FATAL: Failed to load the jvm library.
Dec 19 16:51:28 ertjb01 .com.jetbrains.intellij[871]: JNI_CreateJavaVM() failed, error: -1


/ET

0
Comment actions Permalink

Thank you for your response. I'm afraid 1.6* gives me the same result (and the same system.log message).

Seems like there's something wrong with my installation somehow.



Regards,
ET

0
Comment actions Permalink

hm for me it simply keeps starting with 1.5.0_13 ..


dooh, forgot to add

JVMArchs x86_64]]>

now everything works ok here,too

0
Comment actions Permalink

Hmm. I added JVMArchs like this (part of Info.plist):

JVMVersion 1.6* JVMArchs x86_64 MainClass com.intellij.idea.Main Doesn't help. IntelliJ 7.0.2 doesn't start (same log message). When I installed java6dp8 I changed the symbolic links like this: lrwxr-xr-x 1 root wheel 5B 19 Dec 14:47 1.6 -> 1.6.0 drwxr-xr-x 8 root wheel 272B 19 Dec 14:47 1.6.0/ lrwxr-xr-x 1 root wheel 3B 19 Dec 20:31 Current -> 1.6 lrwxr-xr-x 1 root wheel 3B 19 Dec 14:56 CurrentJDK ->]]> 1.6




/ET

0
Comment actions Permalink

I don't think the Current links need to be changed at all.

They weren't touched by my installation of DP8 and with the JVMVersion and JVMArchs set up, I launched IntelliJ on 1.6.

It seems to run pretty well. No problems noted so far, except that startup was rather slow. That may be a result of the Server VM being used by DP8.

Maarten

0
Comment actions Permalink

Ok. When I removed my stupid symbolic links, it works. As you point out, starting IntelliJ takes a very long time, but this must be due to the server vm.

Thanks to everyone who responded.


Merry xmas,
ET

0
Comment actions Permalink

btw, when trying to create a new IDEA-JDK, I get an hard exit-to-desktop when the popup with the combobox "select underlying JDK" shows up.. anyone else?

0

Please sign in to leave a comment.